Debian Bug report logs - #704545
ITP: einspline -- library for the creation and evaluation of interpolating cubic basis splines

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sébastien Villemot <sebastien@debian.org>

Date: Tue, 2 Apr 2013 19:57:01 UTC

Owned by: "Sébastien Villemot" <sebastien@debian.org>

Severity: wishlist

Fixed in version einspline/0.9.2-1

Done: Sébastien Villemot <sebastien@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>:
Bug#704545; Package wnpp. (Tue, 02 Apr 2013 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>. (Tue, 02 Apr 2013 19:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: einspline -- library for the creation and evaluation of interpolating cubic basis splines
Date: Tue, 02 Apr 2013 21:52:53 +0200
Package: wnpp
Severity: wishlist
Owner: "Sébastien Villemot" <sebastien@debian.org>

* Package name    : einspline
  Version         : 0.9.2
  Upstream Author : Kenneth P. Esler, Jr. <kesler@ciw.edu>
* URL             : http://einspline.sourceforge.net/
* License         : GPL-2+
  Programming Lang: C, Fortran
  Description     : library for the creation and evaluation of interpolating cubic basis splines

Einspline is intended to be a simple, fast, and accurate library for creating
and evaluating interpolating cubic basis splines (B-splines).

It features the following:
 - support for grids of one, two or three dimensions
 - support for both uniform and non-uniform grids
 - real and complex datatypes in single or double precision
 - evaluation can provide value, gradient, hessian and laplacian
 - provides periodic, fixed first-derivative, or fixed second derivative
   boundary conditions
 - C and Fortran 77 interfaces

The package will be maintained within the Debian Science Team.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 03 Apr 2013 19:06:16 GMT) Full text and rfc822 format available.

Reply sent to Sébastien Villemot <sebastien@debian.org>:
You have taken responsibility. (Thu, 18 Apr 2013 13:03:24 GMT) Full text and rfc822 format available.

Notification sent to Sébastien Villemot <sebastien@debian.org>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 13:03:24 GMT) Full text and rfc822 format available.

Message #12 received at 704545-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 704545-close@bugs.debian.org
Subject: Bug#704545: fixed in einspline 0.9.2-1
Date: Thu, 18 Apr 2013 13:00:09 +0000
Source: einspline
Source-Version: 0.9.2-1

We believe that the bug you reported is fixed in the latest version of
einspline, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 704545@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien@debian.org> (supplier of updated einspline package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 03 Apr 2013 12:41:09 +0200
Source: einspline
Binary: libeinspline0 libeinspline-dev libeinspline-dbg
Architecture: source amd64
Version: 0.9.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Sébastien Villemot <sebastien@debian.org>
Description: 
 libeinspline-dbg - library for interpolating cubic basis splines (debugging symbols)
 libeinspline-dev - library for interpolating cubic basis splines (static library and
 libeinspline0 - library for interpolating cubic basis splines (shared library)
Closes: 704545
Changes: 
 einspline (0.9.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #704545)
Checksums-Sha1: 
 e638d3474ac2f2a14d0fb7f6e24dac6a265b40ea 2125 einspline_0.9.2-1.dsc
 600c0f7bf84d8b1a6d44626ddba791f677016c49 820678 einspline_0.9.2.orig.tar.gz
 d1a6ea2e69c9ef04d8b546926e7609a24ce1a2e6 9974 einspline_0.9.2-1.debian.tar.gz
 0f621c061d6194309362b641d0c31b1c44a76f77 245030 libeinspline0_0.9.2-1_amd64.deb
 32d2b70505b3d4f599e77521f40edeb5287e80db 595064 libeinspline-dev_0.9.2-1_amd64.deb
 5088eab34f76f2d5165b8b191935695dd1dcd3b1 315640 libeinspline-dbg_0.9.2-1_amd64.deb
Checksums-Sha256: 
 e1fb29ec07f4c7c247bbbd684b01096bcafc7293c1ccf9036e57f7c61acb94fe 2125 einspline_0.9.2-1.dsc
 fc9ec0475f7711ef711c8b6ea28d3dd11a173adaa381df80c2df4c5cc22d4afe 820678 einspline_0.9.2.orig.tar.gz
 4d60105dfc5b06d330c2b1ee31e3af18752e424fa721a22a5675610b0e6d6415 9974 einspline_0.9.2-1.debian.tar.gz
 9738ff7424ce3297a5f84cf59f66e38389c60bde7acb695bc1ce58a67390a787 245030 libeinspline0_0.9.2-1_amd64.deb
 3552dfc7198d07d935617720083fd66021585c90b1701d0a3acbbbcb1e41eca8 595064 libeinspline-dev_0.9.2-1_amd64.deb
 746851a10e6bc73a1289d861de9d4c3cebc08b066ad28d2912e6a08ef6f9ea33 315640 libeinspline-dbg_0.9.2-1_amd64.deb
Files: 
 a66a69340ddcd8062b51faaf252e1a4b 2125 libs extra einspline_0.9.2-1.dsc
 cdf39d4087f3e6cfae0977a6fe91aebf 820678 libs extra einspline_0.9.2.orig.tar.gz
 8d72b5b0667ec1901a8faae1e3c9a1e8 9974 libs extra einspline_0.9.2-1.debian.tar.gz
 1f2ded51ea9c786816306b181c02c1f4 245030 libs extra libeinspline0_0.9.2-1_amd64.deb
 f65673c016df47fe016000291a6f1e45 595064 libdevel extra libeinspline-dev_0.9.2-1_amd64.deb
 920a5f3031f6a81c0e1bfe01b2e0cc52 315640 debug extra libeinspline-dbg_0.9.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRXAgFAAoJECzs6TUOzr5K0NIP/AyF9FvXhbgypF3EjU4arzAR
7MXRzEEZu1ne/2uNatJcfbiNSoqmMTNCgNzyOvxz9NQ/k8DyECSvLQHaKIebKIsC
0KaF6b7UK+hwQAb4jAioYWst4QkBFrcpJ2SxZjud+HUR2fTuhd2LUaWry8596YL8
tEXAr6khsByl9YzYiv3UlVkkGlf+VwaiAkGvVMtAMiRb+RX6i+7gIzHuqY8I4NOY
tTTOknrqhMnV5vdZzWAWLot46tHmYIr0bTvzlX1V41Ikv7pQcvamHYxubOsmRQpg
A+U0Fg2Jza2tSt4WSb2Q/lVvx6rYTK419v2tUG0GdkHl31R1UfbCYcy5ZxRyUup3
RNpwl17bzQponBt7K7i3icntj8Ea1JSgoF9txAxCFNCmUlh+mCZO92RyEazx0cqU
oWVlgqx96fdHjQPH5PnaPyD+Z7qO2cxFKN3b3XEqI4tGZSgiAwZAfPVUfCFXwkqP
q591SlSvrmC2tFWUGqF7eNUn5mfDbsqKVZIihpdJaisiqt6E1ytpC49VzEe9TSWi
WjR9DstqGVkU1m1+O7RqwI/tSAJ3O1PNKdYj7GX3sbTlGXagWa9FxWHI6yjRIGuB
52OMd/s2OOcWsA3xvNumdkRs8/bHiz7oD4alLECZLYHZHtjdFxFclw5dX5PpU4z9
/HvMhaSv5fU9u+emdsWV
=kuuS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 May 2013 07:31:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:25:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.